<?php
/***************************************************************************
* config.php
* -------------------
* Creation Date : 06 September 2003
* Last Modified	: 21:37 06/02/2004
* Copyright 	: (C) Andrew Pemberton 2003
*
* Contact Info	: 
*	Email: pembo@neonerve.com
*	ICQ  : 31466226
*	MSN  : p3mbo@hotmail.com
*
*
***************************************************************************/
/***************************************************************************
*
* All content of this script, and scritpts that communicate
* with it are all (C) Copyright 2003. Andrew Pemberton
* 
* Anyone found copying/using code, graphics etc from this script
* without expressed written permision from the author (Andrew
* Pemberton) will be liable to prosecution under UK Copyright law.
*
***************************************************************************/


/**************************************************************************
* CONFIGURATION SETTINGS - IMPORTANT!!!!!!!!!!!!!!!!
* --------------------------------------------------
*
* Okay, these steps are really important, so pay attention, first of all
* you'll need to know the database connection settings for your server, if
* you don't know these, then your in trouble at the first hurdle, if you do
* then WELL DONE, you've got past the first test with flying colours!
*
***************************************************************************/


/**************************************************************************
* IMPORTANT INFORMATION IF UPGRADING
* --------------------------------------------------
*
* There are some new settings to be defined in the config.php, so please
* pay attention closely.
*
***************************************************************************/



/********************************
*   Database Connection Info	*
*********************************/

// Hostname: this can usually be left as localhost, depending on whether or not
// the database your connecting to resides on the server the script is being run 
// from - if your unsure, ask your host.

	$host = "localhost";



// Database Username: I dont think I should really have to explain what this field
// is for, but if you insist, this is the USERNAME (cool eh?) of your mysql database
// a lot of the time, this is root, but it can change - again, if unsure - check.

	$user = "root";



// Database Password: Again, self explainatory - or so I'd like to think anyway, this
// is (shock horror) the password to your database - ask your host if your unsure.

	$pass = "";



// Database Name: This can be pretty much anything you want, by default it is set as
// content_inj, although you can name it after your cat, dog whatever, sensible names
// that mean something and relate to the content are usually better though :)

	$dbname = "content_inj";



// Okay, thats one bit over and done with, now for some more fun, we need some info
// about your site, again this is REALLY IMPORTANT, and don't get it wrong or else
// someone with a big axe will come after you. (Honestly!)


// ABSOLOUTE SITE ROOT PATH: This is ABSOLOUTE location to BASE directory on your
// site where the content injector files are:
//
// Note, it is advised you upload the script in the root directory of your server if
// possible, remember your website will have to be viewed from where the content injector
// script is located.
//
//
// By DEFAULT, this is set to $_SERVER[DOCUMENT_ROOT] which automatically looks 
// for the location, if this causes problems (ie. none of the includes are showing)
// you should manually set it as shown in the example above it 
// (WITH NO TRAILING / Slash).
//
//
//	$ROOT_PATH = '/home/content/htdocs';    // Manual Setting Example.
	$ROOT_PATH = "$_SERVER[DOCUMENT_ROOT]";


// URL ROOT: This is the URL of your site in relation to the script
// (NOTE: URL, not absolute), for example  If your site is 'http://www.thisismysite.com'
// and the script is located in the base directory, the $URL_ROOT should be left as '/'
// If the script is located at 'http://www.mysite.com/php/scripts/content/' the url
// root would be /php/scripts/content/ (note the / at the start and end) - if your
// having trouble, just play around with the setting, your bound to get it right :D
//
	$URL_ROOT = '/';








//
//
// Only change the settings below if you experience problems
// these **should** work as is... unless you ruined it all above
// then its your fault anyway!
//



// ADD IN DIR: This is the absoloute location of the shiny new add-ins folder introduced
// in version 1.1, this should point to where it is (obviously) for example: 
//
// 	- /home/site/htdocs/add-ins
//
// If in the same directory as the script (which it probably should be anyway), then you
// should be able to leave this as is, if you have problems - ie a great big whopping (well
// its actually pretty small) sign comes on your page saying add-ins directory not found
// then you know something is wrong, and it might be a good idea to change this.
// (WITH NO TRAILING / Slash).
//
//
	$ADD_IN_DIR = "$ROOT_PATH/add-ins";



// LANGUAGE FILE: The absoloute path to the languge file directory
// There's probably no need to change this, but if you get problems,
// then please do feel free to do just that
// (WITH NO TRAILING / Slash).
//
	$LANGUAGE_DIR = "$ROOT_PATH/lang"; 





// Default Page: WARNING: Change the below at your own risk, it was implemented late in 
// the script and I am actually unsure whether or not functionality would be at 100%
// if this value is changed.
//
// EDIT: 23:18 24/02/2004
// Definately DONT change this, because it wont work then.. this was some fancy idea I had
// back in my n00b days, but I cant be bothered to change the old stuff yet, so ignore it.
//
	$INDEX_PG = "index.php";







// Thats it, the end of the manual configuration - what fun eh?
// Now, close this file and get on with installing the script :)










/*
---------------------------------------------------- [ END OF CONFIG Settings ] ---------------------------------------------------- 

 Note, there should be NO NEED what so ever to edit below this line.... 
 If you do, its in the knowledge that you might completely break the script,
 thats if you haven't already. I will not provide support for those who have 
 modified below this line..

 Anyway, weren't you closing this file? Bye...  *waves*


------------------------------------------------- [ DO NOT EDIT BELOW THIS LINE ] -------------------------------------------------- 

*/

























/*
------------------------------------------------------ [ OR THIS THIS LINE ] -------------------------------------------------------
*/


//
// Dont change the version, or else the world will probably explode... (hey - its possible?)
//
	define ("VERSION", "1.4");





// Just the DB Connect info
$dbcnx = @mysql_connect("$host", "$user", "$pass");
	if (!$dbcnx) 
	{  
		echo( "<p>Unable to connect to the database server at this time.</p>" );  
		exit();
	}


mysql_select_db("$dbname", $dbcnx);
	if (! @mysql_select_db("$dbname") ) 
	{  
		 echo( "<p>Unable to locate the site database at this time.</p>" );  
		exit();
	}





//
// This stuff isnt really needed, oh well... lets just waste a few kilobytes eh?
//

$ADMIN_FOLDER = "admin";
$ADMIN_DIR = "{$URL_ROOT}{$ADMIN_FOLDER}/";


//
//Some stuff we need for the admin crap..
//

$site = mysql_query (" SELECT * FROM config WHERE config_name = 'site_name' ");
$siterow = mysql_fetch_array($site);
$SITE_NAME = $siterow['config_value'];
GLOBAL $SITE_NAME; // Naughty Naughty me, me and my globals!


$newson = mysql_query (" SELECT * FROM config WHERE config_name = 'news_on' ");
$newsonrow = mysql_fetch_array($newson);
$NEWS_ON = $newsonrow['config_value'];
GLOBAL $NEWS_ON; // Naughty Naughty me, me and my globals!

$commentson = mysql_query (" SELECT * FROM config WHERE config_name = 'comments_on' ");
$commentsrow = mysql_fetch_array($commentson);
$COMMENTS_ON = $commentsrow['config_value'];
GLOBAL $COMMENTS_ON; // Naughty Naughty me, me and my globals!



// HTML AREA TYPE
$htmlareaon = mysql_query (" SELECT * FROM config WHERE config_name = 'html_area' ");
$htmlarearow = mysql_fetch_array($htmlareaon);
$HTML_AREA = $htmlarearow['config_value'];

$LANGUAGE_FILE = "$LANGUAGE_DIR" . "/eng.php"; // Default Lang




?>
<?
session_start();
setcookie( "l_page" );
setcookie("l_page", time(), time() + 31536000, '/');
$_SESSION["groups"] = "";
$grouplist = "";
?>
<?
if( $_COOKIE )
{
	If ( @$_SESSION["password"] == "update" )
	{
		$result = @mysql_query("SELECT * FROM users WHERE id='".$_COOKIE["ck_id"]."'");
		if (!$result) 
		{  
			echo("<p>Error performing query 2: " . mysql_error() . "</p>");
  			exit();
		}

		If ( $row = mysql_fetch_array($result) )
		{
			If ( $row["status"] == 'Active' )
			{
				setcookie("ck_password", $row["password"], time() + 31536000, '/');
				$_SESSION["password"] = $_COOKIE["ck_password"];
				$_SESSION["id"] = $_COOKIE["ck_id"];
				$_SESSION["username"] = $_COOKIE["ck_name"];



				$groups = @mysql_query("SELECT * FROM group_members WHERE userid='".$_COOKIE["ck_id"]."'");
				if (!$groups) 
				{  
					echo("<p>Error Accessing Groups 1: " . mysql_error() . "</p>");
				}
				$grouplist ="[A]"; // Authenticated User
				while ( $grouprow = mysql_fetch_array($groups) )
				{
					$grouplist = $grouplist."[".$grouprow["groupid"]."]";
				}
				$_SESSION["groups"] = $grouplist;

				// Lets set the users language
				$langu = mysql_query (" SELECT language FROM users WHERE id = $_SESSION[id] ");
				$userlang = mysql_fetch_array($langu);


				$LANGUAGE_FILE = "$LANGUAGE_DIR" . "/" . $userlang['language'] . ".php";




			}
			ELSE
			{
				$_SESSION["username"] = "";
				$_SESSION["id"] = "";
			}
		}
	}
	ELSE
	{
		$result = @mysql_query("SELECT * FROM users WHERE id='".$_COOKIE["ck_id"]."' AND password='".$_COOKIE["ck_password"]."'");

		if (!$result) 
		{  
			echo("<p>Error performing query 3: " . mysql_error() . "</p>");
  			exit();
		}

		If ( $row = mysql_fetch_array($result) )
		{
			If ( $row["status"] == 'Active' )
			{
				$_SESSION["username"] = $_COOKIE["ck_name"];
				$_SESSION["password"] = $_COOKIE["ck_password"];
				$_SESSION["id"] = $_COOKIE["ck_id"];

				$groups = @mysql_query("SELECT * FROM group_members WHERE userid='".$_COOKIE["ck_id"]."'");
				if (!$groups) 
				{  
					echo("<p>Error Accessing Groups 2: " . mysql_error() . "</p>");
				}
				$grouplist ="[A]"; // Authenticated User
				while ( $grouprow = mysql_fetch_array($groups) )
				{
					$grouplist = $grouplist."[".$grouprow["groupid"]."]";
				}
				$_SESSION["groups"] = $grouplist;


				// Lets set the users language
				$langu = mysql_query (" SELECT language FROM users WHERE id = $_SESSION[id] ");
				$userlang = mysql_fetch_array($langu);

				$LANGUAGE_FILE = "$LANGUAGE_DIR" . "/" . $userlang['language'] . ".php";

			}
			ELSE
			{

				$_SESSION["username"] = "";
				$_SESSION["id"] = "";
			}
		}
		else
		{

			$_SESSION["username"] = "";
			$_SESSION["id"] = "";
		}
	}
}
?>
